## org.apache.aries.subsystem.core.internal
Class ResourceReferences

    java.lang.Object
      org.apache.aries.subsystem.core.internal.ResourceReferences

    public class ResourceReferences

extends Object

Constructor Summary
`ResourceReferences()`

Method Summary
`void` `addReference(BasicSubsystem subsystem, org.osgi.resource.Resource resource)`
`Collection<org.osgi.resource.Resource>` `getResources(BasicSubsystem subsystem)`
`Collection<BasicSubsystem>` `getSubsystems(org.osgi.resource.Resource resource)`
`void` `removeReference(BasicSubsystem subsystem, org.osgi.resource.Resource resource)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceReferences

    public ResourceReferences()

Method Detail

### addReference

    public void addReference(BasicSubsystem subsystem,
                             org.osgi.resource.Resource resource)

### getResources

    public Collection<org.osgi.resource.Resource> getResources(BasicSubsystem subsystem)

### getSubsystems

    public Collection<BasicSubsystem> getSubsystems(org.osgi.resource.Resource resource)

### removeReference

    public void removeReference(BasicSubsystem subsystem,
                                org.osgi.resource.Resource resource)

Copyright © 2009-2013 The Apache Software Foundation. All Rights Reserved.